@echo off
@setlocal
@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2013
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

SET CUR_DIR="%cd%"
cd /d "%~dp0.."
SET WLP_DIR=%cd%
cd /d %CUR_DIR%

SET LOG_DIR=-Dcom.ibm.ws.logging.log.directory=%CUR_DIR%
SET CONSOLE_LEVEL=-Dcom.ibm.ws.logging.console.log.level=OFF
SET MSG_FILE=-Dcom.ibm.ws.logging.message.file.name=xscmd.log
SET MAX_FILES=-Dcom.ibm.ws.logging.max.files=1
SET WLP_USER_DIR=%WLP_DIR%\wxs\
SET XSCMD_LINE_ARGS=%*


:loop
IF NOT [%]==[] (
    IF [%1]=="-trs" (
        SET TRACE_SPEC=-Dcom.ibm.ws.logging.trace.specification=%2
        SHIFT
    )
    IF [%1]=="-trf" (
        SET TRACE_SPEC=-Dcom.ibm.ws.logging.trace.file.name=%2
        SHIFT
    )
    SHIFT
    GOTO :loop
)

SET JVM_ARGS=%LOG_DIR% %MSG_FILE% %MAX_FILES% %CONSOLE_LEVEL% %TRACE_SPEC% %TRACE_FILE%

"%WLP_DIR%\bin\server.bat" run xscmd

